import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_ParentPath
console.log(basePath)
export default {
  login(query) {
    return micro_request.postRequest(basePath, 'Auth', 'Login', query)
  },
  logout(query) {
    return micro_request.postRequest(basePath, 'Auth', 'LogOut', query)
  },
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Region', 'GetList', query)
  },
  doAdd(query) {
    return micro_request.postRequest(basePath, 'Region', 'Create', query) //创建区域
  },
  doEdit(query) {
    return micro_request.postRequest(basePath, 'Region', 'UpdateById', query)
  },
  doDelete(query) {
    return micro_request.postRequest(basePath, 'Region', 'DeleteByIds', query) // 删除
  },
  doCreate(query) {
    return micro_request.postRequest(basePath, 'Region', 'CreateRegion', query) //创建销售区域
  },
  getRegion(query) {
    return micro_request.postRequest(basePath, 'Region', 'GetRegion', query)
  },
}
